Galon Cloud
Galon API v1

/projects

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

GET /projects

List the tenant's projects

Console session only (signed-in console).

Responses

StatusDescriptionBody
200Projects

Examples

curl

curl -X GET "$GALON_API_BASE/projects" \
  -H "Authorization: Bearer $GALON_API_KEY"

POST /projects

Create a project

Console session only (signed-in console).

Request body

application/json · schema ProjectCreate

FieldTypeDescription
namestring · required
environment"test" | "live"

Responses

StatusDescriptionBody
201Project created
422Invalid parametersError

Examples

curl

curl -X POST "$GALON_API_BASE/projects" \
  -H "Authorization: Bearer $GALON_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name": "string"}'